package com.fjhx.sale.controller.after;

import com.fjhx.sale.entity.after.dto.AfterSalesDto;
import com.fjhx.sale.service.after.AfterSalesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 售后管理 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-20
 */
@RestController
@RequestMapping("/afterSales")
public class AfterSalesController {

    @Autowired
    private AfterSalesService afterSalesService;

    /**
     * 售后管理新增
     */
    @PostMapping("/add")
    public void add(@RequestBody AfterSalesDto afterSalesDto) {
        afterSalesService.add(afterSalesDto);
    }

    /**
     * 售后管理编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody AfterSalesDto afterSalesDto) {
        afterSalesService.edit(afterSalesDto);
    }

    /**
     * 售后退货
     */
    @PostMapping("/salesReturn")
    public void salesReturn(@RequestBody AfterSalesDto afterSalesDto) {
        afterSalesService.salesReturn(afterSalesDto);
    }

    /**
     * 售后换货
     */
    @PostMapping("/salesReplace")
    public void salesReplace(@RequestBody AfterSalesDto afterSalesDto) {
        afterSalesService.salesReplace(afterSalesDto);
    }

    /**
     * 发起采购
     */
    @PostMapping("/initPurchase")
    public void initPurchase(@RequestBody AfterSalesDto afterSalesDto) {
        afterSalesService.initPurchase(afterSalesDto);
    }

}
